org.apache.ignite.spi.systemview.view

## Class BaselineNodeView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.BaselineNodeView

    public class BaselineNodeView
    extends Object

Baseline topology node representation for a `SystemView`.

### Constructor Summary

Constructors
Constructor and Description
`BaselineNodeView(Object consistentId, boolean online)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `consistentId()`
`boolean` `online()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaselineNodeView

    public BaselineNodeView(Object consistentId,
                            boolean online)

Parameters:
  `consistentId` - Node consistent id.
  `online` - Is node online.

### Method Detail

#### consistentId

    public String consistentId()

Returns:
  Node consistend id.

#### online

    public boolean online()

Returns:
  Attribute name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023